Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class NotTransitionCriteria

    java.lang.Object
      org.springframework.webflow.engine.support.NotTransitionCriteria

All Implemented Interfaces:
  TransitionCriteria

    public class NotTransitionCriteria

extends java.lang.Object
implements TransitionCriteria

Transition criteria that negates the result of the evaluation of another criteria object.

Author:
  Keith Donald

Constructor Summary
`NotTransitionCriteria(TransitionCriteria criteria)` Create a new transition criteria object that will negate the result of given criteria object.

Method Summary
`boolean` | `test(RequestContext context)` Check if the transition should fire based on the given flow execution request context.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotTransitionCriteria

    public NotTransitionCriteria(TransitionCriteria criteria)

  Create a new transition criteria object that will negate the result of given criteria object.

  Parameters:
    `criteria` - the criteria to negate

Method Detail

### test

    public boolean test(RequestContext context)

  Description copied from interface: `TransitionCriteria`
  Check if the transition should fire based on the given flow execution request context.

  Specified by:
    `test` in interface `TransitionCriteria`
  Parameters:
    `context` - the flow execution request context
  Returns:
    true if the transition should fire, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD